Subject: NHLFE "pop label" question

From: George <[email-masked]>
Date: Wed, 1 Sep 1999 12:06:38 -0400 (EDT)

According to draft-ietf-mpls-arch-*, the NHLFE for an arriving
packet's FEC can indicate that the packet's label stack should be
popped.  Is this intended to indicate that only the top label
can/should be popped or that an arbitrary number of labels can be
removed from the top of the label stack?

Thanks.

-George
 [email-masked]

from draft-ietf-mpls-arch-06.txt:

>       2. the operation to perform on the packet's label stack; this is
>          one of the following operations:
> 
>             a) replace the label at the top of the label stack with a
>                specified new label
> 
>             b) pop the label stack
> 
>             c) replace the label at the top of the label stack with a
>                specified new label, and then push one or more specified
>                new labels onto the label stack.

---

From: Eric Rosen <[email-masked]>
Date: Wed, 01 Sep 1999 12:27:09 -0400

George> According  to  draft-ietf-mpls-arch-*,  the  NHLFE for  an  arriving
George> packet's FEC  can indicate that  the packet's label stack  should be
George> popped.   Is this  intended  to  indicate that  only  the top  label
George> can/should be  popped or that an  arbitrary number of  labels can be
George> removed from the top of the label stack?

Top label only. 

But note  that the architecture  allows the NHLFE  to provide a next  hop of
"self", which might result in  another lookup, which accesses another NHLFE,
which might result in another pop.